Update
curl --request PUT \
--url https://api.qa.sima.ag/api/v2/third_party/applicators/85750 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"\"{\\n \\\"name\\\": \\\"Nico Corvalan Wechsler\\\",\\n \\\"address\\\": \\\"Avenida Siempre Viva 654\\\",\\n \\\"phone_number\\\": \\\"0341 112533695\\\",\\n \\\"email\\\": \\\"lisa@simpson.com\\\"\\n}\""
'import requests
url = "https://api.qa.sima.ag/api/v2/third_party/applicators/85750"
payload = "\"{\n \\"name\\": \\"Nico Corvalan Wechsler\\",\n \\"address\\": \\"Avenida Siempre Viva 654\\",\n \\"phone_number\\": \\"0341 112533695\\",\n \\"email\\": \\"lisa@simpson.com\\"\n}\""
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "*/*"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': '*/*'
},
body: JSON.stringify('"{\n \"name\": \"Nico Corvalan Wechsler\",\n \"address\": \"Avenida Siempre Viva 654\",\n \"phone_number\": \"0341 112533695\",\n \"email\": \"lisa@simpson.com\"\n}"')
};
fetch('https://api.qa.sima.ag/api/v2/third_party/applicators/85750', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v2/third_party/applicators/85750",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode('"{\\n \\"name\\": \\"Nico Corvalan Wechsler\\",\\n \\"address\\": \\"Avenida Siempre Viva 654\\",\\n \\"phone_number\\": \\"0341 112533695\\",\\n \\"email\\": \\"lisa@simpson.com\\"\\n}"'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 83793,
"name": "Nico Corvalan Wechsler",
"address": "Avenida Siempre Viva 654",
"phone_number": "0341 112533695",
"email": "lisa@simpson.com",
"date_created": "2023-01-04T12:53:36-03:00",
"date_modified": "2023-01-04T13:03:54-03:00",
"machines": []
}Version 1 > Applicators
Update
PUT
/
api
/
v2
/
third_party
/
applicators
/
85750
Update
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
*/*
The body is of type string.
Example:
"\"{\\n \\\"name\\\": \\\"Nico Corvalan Wechsler\\\",\\n \\\"address\\\": \\\"Avenida Siempre Viva 654\\\",\\n \\\"phone_number\\\": \\\"0341 112533695\\\",\\n \\\"email\\\": \\\"lisa@simpson.com\\\"\\n}\""
Response
200 - application/json
OK
The response is of type object.

